Summary: diskdump utilities
Name: diskdumputils
Version: 1.1.8
Release: 0
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/System
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: glib2-devel
Requires: glib2
ExclusiveArch: i386 ia64 x86_64 ppc64

%description
The diskdump utilities set up the kernel to save memory image to
the specified partition.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 34 -r -f netdump 2>/dev/null 1>&2 || :
/usr/sbin/useradd -c "Network Crash Dump user" -r -u 34 -g netdump \
    -s /bin/bash -r -d /var/crash netdump 2>/dev/null || :

%post
/sbin/chkconfig --add diskdump
# initialize the required bits for negotiating shared secrets, if necessary

%preun
if [ $1 = 0 ]; then
	/sbin/service diskdump stop > /dev/null 2>&1
	/sbin/chkconfig --del diskdump
fi

%files
%defattr(-,root,root)
%config(noreplace) %attr(0644,root,root)/etc/sysconfig/diskdump
/etc/rc.d/init.d/diskdump
%{_mandir}/man8/diskdumpctl.8*
%{_mandir}/man8/diskdumpfmt.8*
%{_mandir}/man8/savecore.8*
%dir %attr(-,netdump,netdump)/var/crash
%dir %attr(-,netdump,netdump)/var/crash/scripts
%doc README
%doc example_scripts
/usr/sbin/diskdumpctl_proc
/usr/sbin/diskdumpctl
/usr/sbin/diskdumpfmt
/usr/sbin/savecore

%changelog
* Mon Aug 08 2005 Nobuhiro Tachino (1.1.8)
- Restore the code which converts zero-ed pages to file holes.
* Fri Jul 15 2005 Nobuhiro Tachino (1.1.7)
- fix the rc script bug of CCISS
* Fri Jul 15 2005 Akira Imamura (1.1.6)
- Removed PRESERVEDUMP from the default sysconfig.diskdump
* Fri Jul 15 2005 Nobuhiro Tachino (1.1.5)
- CCISS support
* Wed Jul 06 2005 Akira Imamura (1.1.4)
- Updated README for the partial dump feature
* Tue Jul 05 2005 Akira Imamura (1.1.3)
- Updated README for the partial dump feature
* Wed Jun 29 2005 Tatsuo Uchida (1.1.2)
- Fixed the minor bug of diskdump.sh
* Tue Jun 28 2005 Tatsuo Uchida (1.1.1)
- Changed the message of diskdump.sh for swapsavecore
* Mon Jun 27 2005 Tatsuo Uchida (1.1.0)
- swap partition support
* Mon Jun 13 2005 Akira Imamura (1.0.26)
- Changed the message when PRESERVEDUMP enabled
- Code clean up
* Thu Jun 09 2005 Akira Imamura (1.0.25)
- Changed the default sysconfig.diskdump
- Code clean up
* Wed Jun 08 2005 Akira Imamura (1.0.24)
- Fixed PRESERVEDUMP feature
* Mon Jun 06 2005 Nobuhiro Tachino (1.0.23)
- NT_DISKDUMP note support
* Mon Jun 06 2005 Akira Imamura (1.0.22)
- Changed the implementaion to configure preserve dump devices
- Added PRESERVEDUMP into the default sysconfig.diskdump
* Tue May 31 2005 Akira Imamura (1.0.21)
- Enabled to configure preserve dump devices
- Code clean up
* Wed May 25 2005 Akira Imamura (1.0.20)
- Fixed man page of savecore
- Fixed man page of diskdumpfmt
- Matched usage description with man page
* Wed May 25 2005 Akira Imamura (1.0.19)
- Code clean up
* Wed May 25 2005 Akira Imamura (1.0.18)
- Code clean up
- fix for dumpable_bitmap expansion
* Tue May 24 2005 Akira Imamura (1.0.17)
- Code clean up
* Mon May 23 2005 Akira Imamura (1.0.16)
- Fixed diskdumpfmt
- Fixed savecore
* Mon May 23 2005 Akira Imamura (1.0.15)
- Code clean up
- Use logger instead of obsolete initlog
* Thu May 19 2005 Nobuhiro Tachino (1.0.14)
- a Makeshift fix for dumpable_bitmap expansion.
* Thu May 19 2005 Akira Imamura (1.0.13)
- Multiple PT_LOAD segments support (Bug #: 149753, 154923)
- Code clean up
* Fri May 13 2005 Nobuhiro Tachino (1.0.12)
- Remove requirement of curses from spec file.
* Fri May 13 2005 Akira Imamura (1.0.11)
- Modified a comment.
- Modified a return value that does not correspond to function type.
- Switched ncurses to termio for the problem that a terminal won't
  sometimes scroll.
* Fri May 13 2005 Nobuhiro Tachino (1.0.10)
- Coding style fix and add comment.
* Thu May 12 2005 Nobuhiro Tachino (1.0.9)
- Delete bogus comment.
* Thu May 12 2005 Nobuhiro Tachino (1.0.8)
- Partial dump support added to diskdumpfmt (Feature #: 145575)
* Mon May 09 2005 Akira Imamura (1.0.7)
- Enabled to configure diskdump with /proc/mounts (Bug #: 155200)
- Changed the implementaion to configure diskdump in diskdumpfmt (Bug #: 155200)
  (diskdumpfmt refers to only /proc/diskdump so as to configure)
* Tue Apr 19 2005 Akira Imamura (1.0.6)
- Recovered data
* Wed Mar 15 2005 Akira Imamura (1.0.5)
- Code cleanup
  (diskdump_format.[c,h], diskdumpfmt.c, diskdumpcmn.[c,h], savecore.c,
   diskdumpctl_proc.c)
* Wed Mar 09 2005 Akira Imamura (1.0.4)
- Fixed build errors (dumpheader.h)
* Wed Mar 09 2005 Akira Imamura (1.0.3)
- Moved usage() in each source to diskdumpcmn.c
- Added a flag '-lncurses' into Makefile
- Added ncurses into Requires entry in diskdumputils.spec
- Provided a progress bar for savecore and diskdumpfmt
- Moved execute_script() from savecore.c to diskdumpcmn.c
- Provided some verbose outputs in savecore.c and diskdumpctl_proc.c
- Deleted some unused variables in dumpdevice.h
* Fri Mar 04 2005 Akira Imamura (1.0.2)
- Modified a progress info function
  (savecore.c, diskdump_format.c, diskdumpcmn.c)
* Tue Mar 01 2005 Akira Imamura (1.0.1)
- Fixed a typo in diskdumputils.spec (Bug #: 132782 -> Bug #: 132872)
- Deleted 2 inline functions in savecore.c, which are never used (Bug #: 143202)
- Modified Makefile    (added 'arch' into savecore.o entry)
* Mon Feb 28 2005 Akira Imamura (1.0.0)
- Added bugzilla and featurezilla numbers into changelog in diskdumputils.spec
- Modified Makefile    (deleted variable 'KERNEL')
* Mon Feb 28 2005 Akira Imamura (0.8.12)
- Modified diskdump.sh (deleted symbolic link for diskdumpctl)
- Modified Makefile    (deleted symbolic link for diskdumpctl)
- Deleted diskdumpctl_sysfs.sh
- Added diskdumpctl.sh
* Mon Feb 28 2005 Akira Imamura (0.8.11)
- Modified diskdump.sh (added symbolic link for diskdumpctl)
- Modified diskdumputils.spec (%post and %postun)
* Fri Feb 25 2005 Akira Imamura (0.8.10)
- Modified dumpheader.h
- Modified diskdump_format.h
* Fri Feb 25 2005 Akira Imamura (0.8.9)
- Modified Makefile
- Modified diskdump_format.c
- Modified diskdump_format.h
- Modified diskdumpcmn.c
- Modified diskdumpcmn.h
- Modified dumpheader.h
* Fri Feb 25 2005 Akira Imamura (0.8.8)
- Modified diskdumputils.spec
- Modified Makefile
- Modified usage() in diskdumpfmt.c, savecore.c, diskdumpctl_proc.c
  and diskdumpctl_sysfs.sh
- Removed version.c
- Added diskdumpcmh.c and diskdumpcmh.h
- Included diskdumpcmh.h into diskdumpfmt.c, savecore.c, and diskdumpctl_proc.c
- Moved some functions in diskdump_format.c to diskdumpcmh.c
* Thu Feb 25 2005 Nobuhiro Tachino (0.8.7)
- Grep pattern need extra space.
* Thu Feb 24 2005 Akira Imamura (0.8.6)
- Modified Makefile
- Deleted basename() from version.c
* Thu Feb 24 2005 Akira Imamura (0.8.5)
- Modified diskdumpfmt.c
* Thu Feb 24 2005 Akira Imamura (0.8.4)
- Added version.c into CVS
* Thu Feb 24 2005 Akira Imamura (0.8.3)
- Modified Makefile
- Modified diskdumputils.spec
- Added version.c (defined basename() and version())
- Deleted version() from diskdumpfmt.c, savecore.c, and diskdumpctl_proc.c
- Replaced type _Bool into bool in diskdumpfmt.c and diskdump_format.[c,h]
- Modified alloc_device() in diskdump_format.c
- Modified usage() in diskdumpfmt.c, savecore.c, and diskdumpctl_proc.c
* Thu Feb 24 2005 Nobuhiro Tachino (0.8.2)
- add test-archive target in Makefile, which makes temporary archive from
  working directory.
* Wed Feb 23 2005 Akira Imamura (0.8.1)
- Modified Makefile
- Modified README
- Modified diskdumputils.spec
- Deleted putversion.py
- Modified diskdump.sh
- Modified diskdumpctl_sysfs.sh
- Modified diskdumpctl_proc.c
- Modified diskdumpfmt.c
- Modified diskdump_format.c
- Merged diskdumpctl_proc.8 and diskdumpctl_sysfs.8 into diskdumpctl.8
* Fri Feb 18 2005 Akira Imamura (0.8.0)
- Modified Makefile.
- Provided version information for each command.
- Created putversion.py to provide version information.
- Modified diskdump.sh for version information provided.
- Modified diskdumpctl_sysfs.sh for version information provided.
- Modified diskdump_proc.c for version information provided.
- Modified diskdumpfmt.c for version information provided.
- Modified savecore.c for version information provided.
- Modified all manuals.
- Divided diskdumpctl.8 into diskdumpctl_proc.8 and diskdumpctl_sysfs.8
- Added macro 'FAILED' and 'SUCCEEDED' into diskdump_format.h
- Added a member 'cmd_version' into struct format_params in diskdump_format.h
- Included stdbool.h into diskdump_format.c and diskdumpfmt.c
- Modified return values in some functions in diskdump_format.c
- Added struct version_form in diskdump_format.c
- Added convert_version_number() in diskdump_format.c
- Added cmd_version_match() in diskdump_format.c
- Modified check_device() in diskdump_format.c
- Modified show_device_info() in diskdump_format.c
- Modified show_format_info() in diskdump_format.c
- Modified alloc_device() in diskdump_format.c
* Mon Feb 14 2005 Akira Imamura (0.7.18)
- Modified set_err_msg() in diskdump_format.c
- Modified read_device() in diskdump_format.c
- Modified write_device() in diskdump_format.c
* Mon Feb 14 2005 Akira Imamura (0.7.17)
- Modified read_device() in diskdump_format.c
- Modified write_device() in diskdump_format.c
* Mon Feb 14 2005 Akira Imamura (0.7.16)
- Deleted extra indents in diskdump_format.c
- Fixed the problem which full formatting is executed without -a option.
- Modified read_device() in diskdump_format.c
- Modified set_err_msg() in diskdump_format.c
* Thu Feb 10 2005 Akira Imamura (0.7.15)
- Fixed fmt_params_satisfied() in diskdump_format.c
- Modified Err of 'fmtd_blk' in main() in diskdumpfmt.c
* Thu Feb 10 2005 Akira Imamura (0.7.14)
- Modified find_module_path() in diskdump_format.c
- Modified scan_param_proc() in diskdump_format.c
- Modified scan_param_sys() in diskdump_format.c
- Modified show_device_info() in diskdump_format.c
- Modified show_format_info() in diskdump_format.c
- Modified format_range() in diskdump_format.c
- Modified format_device() in diskdump_format.c
- Added a variable 'fmtd_blk' into main() in diskdumpfmt.c
- Modified around format_device() calling in diskdumpfmt.c
* Wed Feb 09 2005 Akira Imamura (0.7.13)
- Modified find_module_path() in diskdump_format.c
- Modified get_module_params() in diskdump_format.c
- Added inline is_full_formatted() in diskdump_format.c
- Added inline module_params_unknown() in diskdump_format.c
- Added inline module_params_invalid() in diskdump_format.c
- Added inline fmt_params_satisfied() in diskdump_format.c
- Added enough_block_size() in diskdump_format.c
- Modified check_device() in diskdump_format.c
- Deleted delete_device() in diskdump_format.c
- Modified open_device() in diskdump_format.c
- Modified make_header_block() in diskdump_format.c
- Rename format() to format_range() in diskdump_format.c
- Deleted macro IS_FULL_FORMATTED() in diskdump_format.h
- Deleted macro MODULE_PARAMS_UNKNOWN() in diskdump_format.h
- Deleted macro MODULE_PARAMS_INVALID() in diskdump_format.h
- Deleted macro FORMAT_PARAMS_SATISFIED() in diskdump_format.h
- Deleted macro ENOUGH_BLOCK_SIZE() in diskdump_format.h
- Modified init_format_parameters() in diskdumpfmt.c
* Tue Feb 08 2005 Akira Imamura (0.7.12)
- Added 5 macro definitions in diskdump_format.h
- Modified find_module_path() in diskdump_format.c
- Added scan_param_proc() in diskdump_format.c
- Merged scan_param_sys1() and scan_param_sys2() in diskdump_format.c
- Modified get_module_params() in diskdump_format.c
- Modified get_header_params() in diskdump_format.c
- Deleted is_full_formatted() in diskdump_format.c
- Deleted module_params_unknown() in diskdump_format.c
- Deleted module_params_invalid() in diskdump_format.c
- Deleted format_params_satisfied() in diskdump_format.c
- Deleted enough_block_size() in diskdump_format.c
- Rename check_format() to check_device() in diskdump_format.c
- Deleted determine_format_version() in diskdump_format.c
- Added struct params_str in diskdump_format.c
- Deleted determine_format_param() in diskdump_format.c
- Added determine_format_params() in diskdump_format.c
- Modified show_device_info() in diskdump_format.c
- Modified show_format_info() in diskdump_format.c
- Modified delete_device() in diskdump_format.c
- Rename check_diskdump_signature() to check_block() in diskdump_format.c
- Modified alloc_device() in diskdump_format.c
- Modified open_device() in diskdump_format.c
- Deleted set_progress() in diskdump_format.c
- Rename write_diskdump_signature() to format_device() in diskdump_format.c
* Fri Feb 04 2005 Akira Imamura (0.7.11)
- Modified Copyright in diskdumpfmt.c and diskdump_format.h
- Modified set_err_msg() in diskdump_format.c
- Modified get_module_params() in diskdump_format.c
- Deleted set_module_params() in diskdump_format.c
- Modified get_header_params() in diskdump_format.c
- Deleted set_header_params() in diskdump_format.c
- Modified is_full_formatted() in diskdump_format.c
- Modified module_params_unknown() in diskdump_format.c
- Rename compare_params() to format_params_satisfied() in diskdumpfmt.c
- Rename invalid_params() to module_params_invalid() in diskdumpfmt.c
- Added enough_block_size() in diskdumpfmt.c
- Modified check_format() in diskdump_format.c
- Added determine_format_version() in diskdumpfmt.c
- Added determine_format_param() in diskdumpfmt.c
- Modified show_device_info() in diskdump_format.c
- Modified show_format_info() in diskdump_format.c
- Modified delete_device() in diskdump_format.c
- Modified alloc_device() in diskdump_format.c
- Modified open_device() in diskdump_format.c
- Modified make_header_block() in diskdump_format.c
- Modified format() in diskdump_format.c
- Modified write_diskdump_signature() in diskdump_format.c
- Embedded format_params_t in dump_device_t in diskdump_format.h
- Added some member into dump_device_t in diskdump_format.h
- Declared variables for command option flag in main() in diskdumpfmt.c
- Modified init_format_parameters() in diskdumpfmt.c
* Wed Feb 02 2005 Akira Imamura (0.7.10)
- Modified diskdumpfmt.8
* Wed Feb 02 2005 Akira Imamura (0.7.9)
- Modified get_header_params() in diskdump_format.c
- Modified get_module_params() in diskdump_format.c
- Modified open_device() in diskdump_format.c
- Added a condition "ver0_formatted" into check_format() in diskdump_format.c
- Modified make_header_block() in diskdump_format.c
- Modified a prototype of get_module_params() in diskdump_format.h
- Modified init_format_parameters() in diskdumpfmt.c
* Tue Feb 01 2005 Akira Imamura (0.7.8)
- Fixed a macro definition "SIG_LEN" in diskdump_format.h
* Mon Jan 31 2005 Akira Imamura (0.7.7)
- Defined SIG_LEN (length of diskdump signature) in diskdump_format.h
- Modified a type definitions of format_params_t in diskdump_format.h
- Modified some macro definitions in diskdump_format.c
- Added "{}" into if, for, and while in diskdump_format.c
- Modified find_module_path() in diskdump_format.c
- Rename module_parameters_proc() to init_format_parameters() in diskdumpfmt.c
- Modified get_module_params() in diskdump_format.c
- Modified check_format() in diskdump_format.c
- Modified format_one_block() in diskdump_format.c
- Modified format() in diskdump_format.c
- Modified get_header_params() in diskdump_format.c
- Modified module_params_unknown() in diskdump_format.c
- Modified compare_params() in diskdump_format.c
- Modified invalid_params() in diskdump_format.c
- Modified show_format_info() in diskdump_format.c
- Modified check_diskdump_signature() in diskdump_format.c
- Added scan_param_proc() in diskdump_format.c
- Added scan_param_sys1() in diskdump_format.c
- Added scan_param_sys2() in diskdump_format.c
* Thu Jan 27 2005 Akira Imamura (0.7.6)
- Added a type definition of 'u64': unsigned long long
- Modified some of type definitions of variables. (off_t, int32_t, u64)
- Rename scan_module_param() to scan_param() in diskdump_format.c
- Rename check_params() to is_full_formatted() in diskdump_format.c
- Modified scan_param() in diskdump_format.c
- Modified get_module_params() in diskdump_format.c
- Modified get_header_params() in diskdump_format.c
- Modified is_full_formatted() in diskdump_format.c
- Modified check_format() in diskdump_format.c
- Modified show_device_info() in diskdump_format.c
- Modified show_format_info() in diskdump_format.c
- Modified check_diskdump_signature() in diskdump_format.c
- Modified alloc_device() in diskdump_format.c
- Modified make_header_block() in diskdump_format.c
- Modified format_one_block() in diskdump_format.c
- Modified format() in diskdump_format.c
- Modified write_diskdump_signature() in diskdump_format.c
- Added read_device() in diskdump_format.c
- Added write_device() in diskdump_format.c
- Added module_params_unknown() in diskdump_format.c
- Rename a variable 'params' to mod_params in diskdumpfmt.c
* Tue Jan 25 2005 Akira Imamura (0.7.5)
- Defined device status in diskdump_format.h
- Rename partition_header_t to format_params_t in diskdump_format.h
- Rename get_module_parameter() to scan_module_param() in diskdump_format.c
- Rename set_module_info() to get_module_params() in diskdump_format.c
- Rename get_header_info() to get_header_params() in diskdump_format.c
- Modified get_module_params() in diskdump_format.c
- Modified get_header_params() in diskdump_format.c
- Modified check_format() in diskdump_format.c
- Modified show_device_info() in diskdump_format.c
- Modified show_format_info() in diskdump_format.c
- Modified open_device() in diskdump_format.c
- Added set_module_params() into diskdump_format.c
- Added set_header_params() into diskdump_format.c
- Added check_params() into diskdump_format.c
- Added compare_params() into diskdump_format.c
- Added invalid_params() into diskdump_format.c
- Rename get_module_parms() to module_parameters_proc() in diskdumpfmt.c
- Added set_module_params() into module_parameters_proc() in diskdumpfmt.c
* Thu Jan 20 2005 Akira Imamura (0.7.4)
- Added a new diskdump module path into diskdump_format.c for kernel-2.6.10
- Fixed write_diskdump_signature() in diskdump_format.c
* Thu Jan 20 2005 Akira Imamura (0.7.3)
- Added a error message into *format() in diskdump.sh
* Tue Jan 19 2005 Akira Imamura (0.7.2)
- Modified RETVAL process in diskdump.sh
- Added a device name into an error message in diskdumpfmt.c
* Tue Jan 19 2005 Nobuhiro Tachino (0.7.1)
- merge perftree 0.24 and 0.25.
- Deleted the variable 'dmy' in set_module_info()
- Added a return code before the declaration of print_progress()
- Modified some comments
- Cleanup of show_device_info()
- Cleanup of show_format_info()
- Modified version process
* Tue Jan 19 2005 Nobuhiro Tachino (0.7.0)
- Merge Akira Imamura's diskdumpfmt performance improvement tree
  (Feature #: 132466)
* Tue Jan 10 2005 Nobuhiro Tachino (0.6.7)
- diskdump.sh executes diskdumpfmt and savecore
  with progress report option.
- diskdumpfmt and savecore print the dump device name
  with progress report.
* Tue Jan 06 2005 Nobuhiro Tachino (0.6.6)
- Ignore error of loading scsi-dump module to support
  built-in diskdump.
- Use glib2 instead of obsolete glib. (Bug #: 136227, 148998)
* Tue Dec 14 2004 Tatsuo Uchida (0.6.5)
- Change status option of diskdump.sh to check into /proc/diskdump
* Tue Nov  2 2004 Akira Imamura (0.6.4)
- Fixed a local variable in savecore appropriately (Bug #: 136147)
* Wed Oct 26 2004 Nobuhiro Tachino (0.6.3)
- add -O to CFLAGS
* Wed Oct 13 2004 Nobuhiro Tachino (0.6.2)
- Merge fixes from IBM ppc64.
- Update README
* Wed Sep 29 2004 Dave Anderson (0.6.1-1)
- BuildRequires update (Bug #: 132872)
* Fri Sep  3 2004 Nobuhiro Tachino (0.6.1)
- Always load scsi_dump and ide-dump because scsi_uniq_id becomes
  obsolete.
* Wed Sep  1 2004 Dave Anderson (0.6.0-2)
- Restored README file info lost in last checkin
* Tue Aug 24 2004 Dave Anderson (0.6.0-1)
- bumped release for fc3 build
* Mon Aug 23 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.6.0
- Kernel v2.6 support
* Thu Aug 19 2004 Akira Imamura <aimamura@redhat.com> 0.5.2
- Added progress display in savecore
- Fixed man page of savecore
* Thu Jul 15 2004 Akira Imamura <aimamura@redhat.com> 0.5.1
- Fixed man page of diskdumpfmt
- Fixed progress display in diskdumpfmt
* Wed Jul 14 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.5.0
- ppc64 support
* Tue Jun 29 2004 Akira Imamura <aimamura@redhat.com> 0.4.4
- Fixed overflow of total size in diskdumpfmt
- Fixed misspelling of total size in diskdumpfmt
* Fri Jun 25 2004 Tatsuo Uchida <tuchida@redhat.com> 0.4.3
- Fixed check of sysconfig file in diskdump.sh
* Wed Jun 23 2004 Tatsuo Uchida <tuchida@redhat.com> 0.4.2
- Fixed process of command return value in diskdump.sh
- Fixed messages of diskdumpctl
* Wed Jun  9 2004 Akira Imamura<aimamura@redhat.com> 0.4.1
- error message improved in diskdumpfmt
* Sun Jun  6 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.4.0
- version up for release
* Sun Jun  6 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.3.52
- x86-64 support
* Sat Jun  5 2004 Nobuhiro Tachino <ntachino@redhat.com> 0.3.51
- Code cleanup. Separating architecture dependent code.
* Wed Jun  2 2004 Dave Anderson <anderson@redhat.com> 0.3.2-1
  Changed Source0 to .gz (from .bz2)
  Added archive creation to Makefile (as done by netdump)
* Mon May 28 2004 Tatsuo Uchida <tuchida@redhat.com>
- v0.3.50 IPF start
* Thu May 21 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.3.0
- README description of module parameters are revised according to Dave Anderson.
* Thu May 20 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.2.99
- Fixed by Dave Anderson's review
- Whole English in manuals and README were updated.
- FIxed invalid size specified in ftruncate().
- diskdump has its own script diskdump-nospace instead of netdump-nospace.
- add diskdump-nospace sample.
* Thu May 10 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.1.9 IDE dump support
* Thu Mar  3 2004 Nobuhiro Tachino <ntachino@redhat.com>
- v0.0.2 memory hole support
* Thu Feb 18 2004 Nobuhiro Tachino <ntachino@redhat.com>
- Initial build.
